#include <iostream>
#include <cmath>
#include <vector>
#include "means.h"

using namespace std;


int main() {
    int a = 1, b = 4, c = 16;
    double ar, ge, ha;

    // c)
    means(a, b, c, ar, ge, ha);
    cout << "Arithmetic mean: " << ar
         << ", geometric mean: " << ge
         << ", harmonic mean: " << ha << endl;

    // d)
    a = 2; b = 3; c = 5;
    means(a, b, c, ar, ge, ha);
    cout << "Arithmetic mean: " << ar
         << ", geometric mean: " << ge
         << ", harmonic mean: " << ha << endl;

    // e)
    a = 1000; b = 4000; c = 16000;
    means(a, b, c, ar, ge, ha);
    
    cout << "Arithmetic mean: " << ar
         << ", geometric mean: " << ge
         << ", harmonic mean: " << ha << endl;

    // f)
    vector<int> input = {1, 2, 3, 4, 5, 6};
    means_vector(input, ar, ge, ha);
    cout << "Arithmetic mean: " << ar
         << ", geometric mean: " << ge
         << ", harmonic mean: " << ha << endl;

    return 0;
}
